Withdraw from card
curl --request POST \
--url https://cc.nadcab.com/api/v1/cards/out \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'cardId=<string>' \
--data 'amount=<string>' \
--data 'summary=<string>' \
--data 'clientTransactionId=<string>'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
cardId: '<string>',
amount: '<string>',
summary: '<string>',
clientTransactionId: '<string>'
})
};
fetch('https://cc.nadcab.com/api/v1/cards/out', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/cards/out"
payload = {
"cardId": "<string>",
"amount": "<string>",
"summary": "<string>",
"clientTransactionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/cards/out",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "cardId=%3Cstring%3E&amount=%3Cstring%3E&summary=%3Cstring%3E&clientTransactionId=%3Cstring%3E",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": "6c9d5a69-eb06-4471-b117-c9c2c9016c6b"
}Cards
Withdraw from card
POST
/
cards
/
out
Withdraw from card
Authorizations
Your API key from Console → Settings → Key & Access, sent as Authorization: Bearer ncl_....
Body
application/x-www-form-urlencoded